{% extends 'asided.html' %}

{% block content %}
    <h1>{{ _("assign.title") }}</h1>
    <form action="." method="post">
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors") }}</h4>
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}
    {{ csrf() }}
    <ul>
        {% set field = form.survey %}
        <li class="{% if field.field.required %}required{% endif %}">
            <label for="{{field.id_for_label}}">{{ _(field.label) }}</label>
            {{ field|safe }}
            {{ field.errors|safe }}
        </li>

        {% set field = form.patients %}
        <li class="{% if field.field.required %}required{% endif %} filterable">
          <label for="{{field.id_for_label}}">{{ _(field.label) }}</label>
          <br />
          <input class="search" placeholder="{{ _('Search') }}" />
          <div class="list">
            {% for pk, choice in form.patients.field.widget.choices %}
            <label for="id_patients_{{ loop.index }}">
              <input {% for patient in form.patients.all %}{% if patient.pk == pk %}checked="checked"{% endif %}{% endfor %} type="checkbox" id="id_patients_{{ loop.index }}" value="{{ pk }}" name="patients" />
              <span class="name">{{ choice }}</span>
            </label>
            {% endfor %}
          </div>
          {{ field.errors|safe }}
        </li>
    </ul>
    <button type="submit" class="action-button">{{ _("assign.form.submit") }}</button>
    </form>
{% endblock %}

{% block aside %}
    <article>
        <h1>{{ _("assign.aside.title") }}</h1>
        {{ _("assign.aside.text")|markdown }}
    </article>
{% endblock %}
